Texa Desk Application API · Integrations
List all the Integrations
GET/
Get the details of all Integrations available for the account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Responses
200Success
payloadarray of objectArray of Integration apps
payload[].idstringThe ID of the integration
payload[].namestringThe name of the integration
payload[].descriptionstringThe description about the team
payload[].hook_typestringWhether the integration is an account or inbox integration
payload[].enabledbooleanWhether the integration is enabled for the account
payload[].allow_multiple_hooksbooleanWhether multiple hooks can be created for the integration
payload[].hooksarray of objectIf there are any hooks created for this integration
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404Url not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring